Checkbox options in drag and drop designer disappears when default value is not blank in QGIS 

2.99

2018-02-11 11:11 PM - Nathan Saylor

Status: Closed

Priority: Normal

Assignee:

Category: Edit widget

Affected QGIS version:master Regression?: Yes

Operating System: Win7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25972

Description

I came across this trying to trigger checkbox states based on other checkbox states with case->when default values to behave similar to

radio buttons. No luck there, but came across this.

Reproduction steps

    1. Start new project

    2. Add new scratch layer, no geometry

    3. Add an integer field and save

    4. In Attributes Form, select the field. Change Widget Type to Checkbox. Set checked state to 1, unchecked to 0. Apply. OK.

    5. Re-open properties. Select the field. In default values, enter 1 (to default to checked state). Apply. OK.

    6. Re-open properties. Select the field. CHECKED STATE OPTIONS ARE GONE!

    7. Clear the default value. Apply. OK.

    8. Re-open properties. Select the field. Checked state options return, but empty.

    9. Could be there's a reasonable explanation for this?

Thanks!

BTW, originally added this to #18075 but I'm not sure that is watched.

Associated revisions

Revision 0eda7766 - 2018-02-12 03:42 AM - Nyall Dawson

Fix loss of checkbox widget settings when a default expression is set

Fixes #18076

History

#1 - 2018-02-12 02:06 AM - Nyall Dawson

- Regression? changed from No to Yes

#2 - 2018-02-12 02:15 AM - Nyall Dawson

PR https://github.com/qgis/QGIS/pull/6311

#3 - 2018-02-12 03:42 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed
https://github.com/qgis/QGIS/pull/6311


Applied in changeset commit:qgis|0eda77661fcef96b795eb451f5e73e9b4b0a2613.

#4 - 2018-02-14 09:16 AM - Jürgen Fischer

- Description updated

#5 - 2018-02-21 06:10 PM - Giovanni Manghi

- Resolution set to fixed/implemented
